KShellCompletion class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KShellCompletion Class Reference

This class does shell-like completion of file names. Shell-like completion of file names. More...

`#include <kshellcompletion.h>`

Inheritance diagram for KShellCompletion:

[legend]
Collaboration diagram for KShellCompletion:

[legend]
List of all members.

## Public Member Functions
| KShellCompletion ()
| Constructs a KShellCompletion object.
QString | makeCompletion (const QString &)
| Finds completions to the given text.
## Protected Member Functions
void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class does shell-like completion of file names. Shell-like completion of file names.

A string passed to makeCompletion() will be interpreted as a shell command line. Completion will be done on the last argument on the line. Returned matches consist of the first arguments (uncompleted) plus the completed last argument.

Author:
  David Smith <dsmith@algonet.se>

Version:
  $Id:

Definition at line 41 of file kshellcompletion.h.

## Constructor & Destructor Documentation

KShellCompletion::KShellCompletion | ( |  | ) |

| Constructs a KShellCompletion object. Definition at line 33 of file kshellcompletion.cpp.

## Member Function Documentation

QString KShellCompletion::makeCompletion | ( | const QString & |  | ) | `[virtual]`

| Finds completions to the given text. The first match is returned and emitted in the signal match() Reimplemented from KURLCompletion. Definition at line 46 of file kshellcompletion.cpp. References QString::length(), KURLCompletion::makeCompletion(), KURLCompletion::mode(), KURLCompletion::Mode, and KURLCompletion::setMode().

The documentation for this class was generated from the following files:

- kshellcompletion.h
- kshellcompletion.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:23:10 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001